# Comapi Javascript SDK - Foundation


## Install the SDK
The following document details how to [install](./docs/installation.md) the SDK.

## Initialise the SDK
The following document details how to [initialise](./docs/initialisation.md) the SDK. 

## Creating a conversation
The following document details how to create a [conversation](./docs/conversations.md).

## Sending a message to a conversation
The following document details how to [send](./docs/sendMessage.md) a message to a conversation.   

## Querying conversations
The following document details how to [query](./docs/queryingConversations.md) conversations.

## Querying conversation messages
The following document details how to query [messages](./docs/queryingMessages.md). 

## Querying conversation events
The following document details how to query [events](./docs/queryingEvents.md). 

## Consuming websocket events
The following document details how to process realtime [events](./docs/websocketEvents.md) that arrive from the websocket.  

## Posting message status updates
The following document details how to send [status updates](./docs/statusUpdates.md) for a message.

## eTag usage 
`The following document details how to use [eTags](./docs/eTags.md) and which methods utilise them.

## Profile API
The following document details how to use the [profile](./docs/profile.md) API   

## Typescript
The following document details how to consume the SDK using [typescript](./docs/typescript.md).

## Cordova
The following document details how to usi the SDK in a [cordova](./docs/cordova.md) Project.   

## SDK Docs
JSDOC documenttion is available [here](./JSDoc/Foundation.html)














